Amendments
Get an amendment
GET
/v1/amendments/{amendmentId}All plansOne amendment with its sponsors, purpose, the bill it amends and every action taken on it.
Path parameters
| Name | Description |
|---|---|
| amendmentIdrequiredstring | Congress, type and number, e.g. 119-samdt-6831. |
Response
| Field | Description |
|---|---|
| amendmentIdstring | Congress, type and number: 119-samdt-6831. |
| congressinteger | |
| chamberstring | |
| typestring | null | |
| numberstring | |
| purposestring | null | |
| descriptionstring | null | |
| amendedBillIdstring | null | |
| sponsorsobject[] | |
| sponsors[].bioguideIdstring | |
| sponsors[].namestring | |
| sponsors[].partystring | null | |
| sponsors[].statestring | null | |
| proposedDatestring | null | |
| submittedDatestring | null | |
| statusstring | null | |
| latestActionLatestAction | null | |
| latestAction.datestring | null | |
| latestAction.textstring | |
| updateDatestring | null | |
| actionsobject[] | |
| actions[].datestring | |
| actions[].textstring | |
| actions[].typestring | null | |
| actions[].codestring | null |